# Generated by rust2rpm 9
# * Tests are missing files
%bcond_with check
%global debug_package %{nil}

%global crate trust-dns-resolver

Name:           rust-%{crate}
Version:        0.11.1
Release:        1%{?dist}
Summary:        Trust-DNS is a safe and secure DNS library

# Upstream license specification: MIT/Apache-2.0
# https://github.com/bluejekyll/trust-dns/issues/785
License:        MIT or ASL 2.0
URL:            https://crates.io/crates/trust-dns-resolver
Source:         %{crates_source}
# Initial patched metadata
# * No ring and rustls
Patch0:         trust-dns-resolver-fix-metadata.diff

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging
BuildRequires:  (crate(cfg-if/default) >= 0.1.0 with crate(cfg-if/default) < 0.2.0)
BuildRequires:  (crate(failure/default) >= 0.1.0 with crate(failure/default) < 0.2.0)
BuildRequires:  (crate(futures/default) >= 0.1.27 with crate(futures/default) < 0.2.0)
BuildRequires:  (crate(lazy_static/default) >= 1.0.0 with crate(lazy_static/default) < 2.0.0)
BuildRequires:  (crate(log/default) >= 0.4.1 with crate(log/default) < 0.5.0)
BuildRequires:  (crate(lru-cache/default) >= 0.1.2 with crate(lru-cache/default) < 0.2.0)
BuildRequires:  (crate(resolv-conf/default) >= 0.6.0 with crate(resolv-conf/default) < 0.7.0)
BuildRequires:  (crate(resolv-conf/system) >= 0.6.0 with crate(resolv-conf/system) < 0.7.0)
BuildRequires:  (crate(smallvec/default) >= 0.6.0 with crate(smallvec/default) < 0.7.0)
BuildRequires:  (crate(tokio-executor/default) >= 0.1.7 with crate(tokio-executor/default) < 0.2.0)
BuildRequires:  (crate(tokio/default) >= 0.1.15 with crate(tokio/default) < 0.2.0)
BuildRequires:  (crate(trust-dns-proto/default) >= 0.7.3 with crate(trust-dns-proto/default) < 0.8.0)
%if %{with check}
BuildRequires:  (crate(env_logger/default) >= 0.6.0 with crate(env_logger/default) < 0.7.0)
BuildRequires:  (crate(tokio-io/default) >= 0.1.0 with crate(tokio-io/default) < 0.2.0)
BuildRequires:  (crate(tokio/default) >= 0.1.15 with crate(tokio/default) < 0.2.0)
%endif

%global _description %{expand:
Trust-DNS is a safe and secure DNS library. This Resolver library  uses the
Client library to perform all DNS queries. The Resolver is intended to be a
high-level library for any DNS record resolution see Resolver and
ResolverFuture for supported resolution types. The Client can be used for other
queries.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%doc README.md CHANGELOG.md
%{cargo_registry}/%{crate}-%{version}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+dns-over-native-tls-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+dns-over-native-tls-devel %{_description}

This package contains library source intended for building other packages
which use "dns-over-native-tls" feature of "%{crate}" crate.

%files       -n %{name}+dns-over-native-tls-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+dns-over-openssl-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+dns-over-openssl-devel %{_description}

This package contains library source intended for building other packages
which use "dns-over-openssl" feature of "%{crate}" crate.

%files       -n %{name}+dns-over-openssl-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+dns-over-tls-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+dns-over-tls-devel %{_description}

This package contains library source intended for building other packages
which use "dns-over-tls" feature of "%{crate}" crate.

%files       -n %{name}+dns-over-tls-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+dnssec-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+dnssec-devel %{_description}

This package contains library source intended for building other packages
which use "dnssec" feature of "%{crate}" crate.

%files       -n %{name}+dnssec-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+dnssec-openssl-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+dnssec-openssl-devel %{_description}

This package contains library source intended for building other packages
which use "dnssec-openssl" feature of "%{crate}" crate.

%files       -n %{name}+dnssec-openssl-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+mdns-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+mdns-devel %{_description}

This package contains library source intended for building other packages
which use "mdns" feature of "%{crate}" crate.

%files       -n %{name}+mdns-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-devel %{_description}

This package contains library source intended for building other packages
which use "serde" feature of "%{crate}" crate.

%files       -n %{name}+serde-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+serde-config-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-config-devel %{_description}

This package contains library source intended for building other packages
which use "serde-config" feature of "%{crate}" crate.

%files       -n %{name}+serde-config-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+tokio-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+tokio-devel %{_description}

This package contains library source intended for building other packages
which use "tokio" feature of "%{crate}" crate.

%files       -n %{name}+tokio-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+trust-dns-native-tls-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+trust-dns-native-tls-devel %{_description}

This package contains library source intended for building other packages
which use "trust-dns-native-tls" feature of "%{crate}" crate.

%files       -n %{name}+trust-dns-native-tls-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+trust-dns-openssl-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+trust-dns-openssl-devel %{_description}

This package contains library source intended for building other packages
which use "trust-dns-openssl" feature of "%{crate}" crate.

%files       -n %{name}+trust-dns-openssl-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Fri May 31 08:48:00 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.11.1-1
- Initial package
